Get inbox summary with trend
Returns windowed conversation metrics with prior-period comparison.
GET
/v1/inbox/summaryAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredQuery parameters
windowstringWindow period: 7, 30, or mtd
default: "7"
Responses
200OK
closed_pct_changenumber<double> | nullrequiredcurrentInboxSummaryWindowrequiredShow propertiesHide properties
closedinteger<int64>requiredopeninteger<int64>requiredtotalinteger<int64>requiredunassignedinteger<int64>requiredopen_pct_changenumber<double> | nullrequiredpreviousInboxSummaryWindowrequiredShow propertiesHide properties
closedinteger<int64>requiredopeninteger<int64>requiredtotalinteger<int64>requiredunassignedinteger<int64>requiredtotal_pct_changenumber<double> | nullrequiredunassigned_pct_changenumber<double> | nullrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/inbox/summary"const response = await fetch("/v1/inbox/summary", {
method: "GET"
});import requests
response = requests.get(
"/v1/inbox/summary",
)Response
{
"closed_pct_change": 0,
"current": {
"closed": 0,
"open": 0,
"total": 0,
"unassigned": 0
},
"open_pct_change": 0,
"previous": {
"closed": 0,
"open": 0,
"total": 0,
"unassigned": 0
},
"total_pct_change": 0,
"unassigned_pct_change": 0
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}